import java.io.*;

public class ExceptionTest {
	public static void main(String [] args)  {
		BufferedReader br = new BufferedReader (new InputStreamReader (System.in));
		
		int n;
		String line;
		
		System.out.println("D;vse ;ena ariumo:");
		try {
			line = br.readLine();	// readLine throws IOException
			n = Integer.parseInt(line);	//parseInt throws NumberFormatException
			System.out.println("Number is " + n);
			}
		catch(NumberFormatException nfe) {
			System.out.println("You must enter a number");
			System.out.println(nfe);
			}
		//catch(IOException ioe) {
			//System.out.println("You must enter a number");
			//System.out.println(ioe);
			//}
		}
	}